/**
 * ActMoodPredicate2.java
 *
 * File generated from the medication2::ActMoodPredicate2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodPredicate2.
 *
 * 
 */

@XmlType(name = "ActMoodPredicate")
@XmlEnum
@XmlRootElement(name = "ActMoodPredicate2")
public enum ActMoodPredicate2 {
	@XmlEnumValue("EVN.CRT")
	EVNCRT("EVN.CRT"),
	@XmlEnumValue("GOL")
	GOL("GOL"),
	@XmlEnumValue("OPT")
	OPT("OPT"),
	@XmlEnumValue("PERM")
	PERM("PERM"),
	@XmlEnumValue("PERMRQ")
	PERMRQ("PERMRQ");
	
	private final String value;

    ActMoodPredicate2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActMoodPredicate2 fromValue(String v) {
        for (ActMoodPredicate2 c: ActMoodPredicate2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
